#include "blitz/protocol/packets/KeepAlivePacket.h"

namespace blitz {
namespace protocol {

DataBuffer KeepAlivePacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);
	data << m_AliveID;
	return data;
}

void KeepAlivePacket::Deserialize(DataBuffer& data) {
	data >> m_AliveID;
}

}  // namespace protocol
}  // namespace blitz
